	
	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_Tipo_Estado', 'IndexID') IS NOT NULL
		DROP INDEX [IX_CBT_Tipo_Estado] ON [dbo].[Cbtes]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_Estado_Tipo', 'IndexID') IS NOT NULL
		DROP INDEX [IX_CBT_Estado_Tipo] ON [dbo].[Cbtes]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbtes_Estados', 'IndexID') IS NOT NULL
		DROP INDEX [IX_Cbtes_Estados] ON [dbo].[Cbtes]
	GO
	
	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbte_Estado_Tipo_cbte', 'IndexID') IS NOT NULL
		DROP INDEX [IX_Cbte_Estado_Tipo_cbte] ON [dbo].[Cbtes]
	GO	

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_PorLotFec', 'IndexID') IS NOT NULL
		DROP INDEX [IX_CBT_PorLotFec] ON [dbo].[Cbtes]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_PorImp_Total', 'IndexID') IS NOT NULL
		DROP INDEX [IX_CBT_PorImp_Total] ON [dbo].[Cbtes]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbtes_Estado_Fecha', 'IndexID') IS NOT NULL
		DROP INDEX [IX_Cbtes_Estado_Fecha] ON [dbo].[Cbtes]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbtes_Tipo_Fecha', 'IndexID') IS NOT NULL
		DROP INDEX [IX_Cbtes_Tipo_Fecha] ON [dbo].[Cbtes]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_Cliente_Estado_Cpago', 'IndexID') IS NOT NULL
		DROP INDEX [IX_CBT_Cliente_Estado_Cpago] ON [dbo].[Cbtes]
	GO

	ALTER TABLE Cbtes ALTER COLUMN Imp_Neto				DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_DescEspecial		DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_DescFin			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Bonificacion		DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Gravado			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Exento			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_IVA				DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_IVA2				DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Percepcion_IB	DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Percepcion_Iva	DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Total			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Gravado2			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Gravado3			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_NoGravado		DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_IVA3				DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Imp_Percep			DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Saldo				DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Saldo_Iva_Recup		DECIMAL(20, 2) 
	ALTER TABLE Cbtes ALTER COLUMN Saldo_Anterior		DECIMAL(20, 2) 

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_Lista_Estado', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_CBT_Tipo_Estado] ON [dbo].[Cbtes]
		(
			[Id_Tipo_Cbte] ASC,
			[Id_Estado_Cbte] ASC
		)
		INCLUDE([Id_Cliente],[Fecha],[Porc_Iva],[Porc_Iva2],[Imp_Gravado],[Imp_Exento],[Imp_IVA],[Imp_IVA2],[Imp_Total],[Id_Provincia],[Porc_Iva3],[Imp_Gravado2],[Imp_Gravado3],[Imp_NoGravado],[Imp_IVA3],[Imp_Percep],[Saldo],[Periodo_Iva],[Periodo],[Id_Vendedor],[Id_Moneda],[Cbte_Nro_Externo],[Id_Centro_Costo],[Nro_Auto_Trib],[Id_Estado_Proceso],[Id_Lista],[Lote]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_Estado_Tipo', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_CBT_Estado_Tipo] ON [dbo].[Cbtes]
		(
			[Id_Estado_Cbte] ASC,
			[Id_Tipo_Cbte] ASC
		)
		INCLUDE([Id_Cliente],[Fecha],[Porc_Iva],[Porc_Iva2],[Imp_Gravado],[Imp_Exento],[Imp_IVA],[Imp_IVA2],[Imp_Total],[Fecha_Estimada],[Id_Provincia],[Porc_Iva3],[Imp_Gravado2],[Imp_Gravado3],[Imp_NoGravado],[Imp_IVA3],[Imp_Percep],[Periodo_Iva],[Periodo],[Id_Cond_Pago],[Id_Vendedor],[Fecha_Perm_Embar],[Cbte_Nro_Externo],[Id_Centro_Costo],[Nro_Auto_Trib],[Id_Estado_Proceso],[Id_Zona],[Id_Lista],[Lote]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbtes_Estados', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_Cbtes_Estados] ON [dbo].[Cbtes]
		(
			[Id_Estado_Cbte] ASC
		)
		INCLUDE([Id_Tipo_Cbte],[Id_Cliente],[Fecha],[Porc_Iva],[Imp_Gravado],[Imp_Exento],[Imp_IVA],[Imp_Total],[Fecha_Estimada],[Id_Provincia],[Imp_NoGravado],[Imp_Percep],[Saldo],[Periodo_Iva],[Periodo],[Id_Vendedor],[Id_Moneda],[Cbte_Nro_Externo],[Id_Centro_Costo],[Nro_Auto_Trib],[Id_Estado_Proceso]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbte_Estado_Tipo_cbte', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_Cbte_Estado_Tipo_cbte] ON [dbo].[Cbtes]
		(
			[Id_Estado_Cbte] ASC,
			[Id_Tipo_Cbte] ASC
		)
		INCLUDE([Id_Cliente],[Fecha],[Porc_Iva],[Porc_Iva2],[Imp_Gravado],[Imp_Exento],[Imp_IVA],[Imp_IVA2],[Imp_Total],[Fecha_Estimada],[Id_Provincia],[Porc_Iva3],[Imp_Gravado2],[Imp_Gravado3],[Imp_NoGravado],[Imp_IVA3],[Imp_Percep],[Periodo_Iva],[Periodo],[Id_Cond_Pago],[Id_Vendedor],[Fecha_Perm_Embar],[Cbte_Nro_Externo],[Id_Centro_Costo],[Nro_Auto_Trib],[Id_Estado_Proceso],[Id_Zona]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_PorLotFec', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_CBT_PorLotFec] ON [dbo].[Cbtes]
		(
			[Lote] ASC,
			[Fecha] ASC
		)
		INCLUDE([Id_Trans],[Id_Estado_Cbte],[Id_Cliente],[Destinatario],[Imp_Total]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_PorImp_Total', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_CBT_PorImp_Total] ON [dbo].[Cbtes]
		(
			[Imp_Total] ASC,
			[Id_Trans] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbtes_Estado_Fecha', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_Cbtes_Estado_Fecha] ON [dbo].[Cbtes]
		(
			[Id_Estado_Cbte] ASC,
			[Fecha] ASC
		)
		INCLUDE([Id_Tipo_Cbte],[Id_Cliente],[Imp_Total],[Id_Cond_Pago],[Cotizacion]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_Cbtes_Tipo_Fecha', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_Cbtes_Tipo_Fecha] ON [dbo].[Cbtes]
		(
			[Id_Tipo_Cbte] ASC,
			[Fecha] ASC
		)
		INCLUDE([Id_Cliente],[Id_Estado_Cbte],[Imp_Total],[Id_Cond_Pago],[Cotizacion]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO

	IF IndexProperty(Object_Id('Cbtes'), 'IX_CBT_Cliente_Estado_Cpago', 'IndexID') IS NULL
		CREATE NONCLUSTERED INDEX [IX_CBT_Cliente_Estado_Cpago] ON [dbo].[Cbtes]
		(
			[Id_Cliente] ASC,
			[Id_Estado_Cbte] ASC,
			[Id_Cond_Pago] ASC
		)
		INCLUDE([Id_Tipo_Cbte],[Imp_Total],[Cotizacion]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	GO